import * as React from 'react';
import { useState } from 'react';

const Button = ({ children, ...props }) => {
    return React.createElement("button", { ...props }, children);
};

const useCounter = () => {
    const [count, setCounter] = useState(0);
    const increment = () => setCounter(count + 1);
    const decrement = () => setCounter(count - 1);
    return { count, increment, decrement };
};

export { Button, useCounter };
